Bug 375341 - pavucontrol: Runtime: undefined symbol error.
pavucontrol: Runtime: undefined symbol error.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: pavucontrol (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 20:57 EST by Aditya Kadambi
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-14 20:08:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aditya Kadambi 2007-11-10 20:57:06 EST
Description of problem:

Pulseaudio components "pavucontrol", "pavumeter" return a undefined symbol
error: The reported error is:

pavucontrol: symbol lookup error: /usr/lib64/libgtkmm-2.4.so.1: undefined symbol: 

pavumeter: symbol lookup error: /usr/lib64/libgtkmm-2.4.so.1: undefined symbol:

Note the Pulseaudio daemon is running fine and sound is good on applications
such as MPlayer.

Output from ps on my system:
$ ps ax | grep -i pulseaudio


/usr/bin/pulseaudio --log-target=syslog


Version-Release number of selected component (if applicable):

Pulseaudio -> 0.9.7-0.17.svn2
pavucontrol -> 0.9.5-0.4.svn2
pavumeter -> 0.9.3-0.2.svn2


How reproducible:

Reproducable everytime on my F8 x86_64 system. All utilities were installed from
standard repositories


Steps to Reproduce:
1. Just start the program on commandline.
  
Actual results:
pavucontrol: symbol lookup error: /usr/lib64/libgtkmm-2.4.so.1: undefined symbol: 
pavumeter: symbol lookup error: /usr/lib64/libgtkmm-2.4.so.1: undefined symbol:

Expected results:


Additional info:
F8 Smolt link for the machine:

http://smolt.fedoraproject.org/show?UUID=72026cd7-c491-4435-8c7c-89f339ac129b
Comment 1 Lennart Poettering 2007-11-11 11:23:21 EST
Uh, this is a strange bug, most likely in libgtkmm, not pavucontrol. Which
version of libgtkmm do you have installed?

The lines you pasted don't actually show the symbol name that is missing. Could
you please paste which one it is?

Comment 2 Aditya Kadambi 2007-11-11 15:57:53 EST
Yes, it does seem to be a gtkmm bug, or some sort of dependency. The version
installed on my F8 system is 2.12.0-1.fc8

Unfortunately, when I invoke pavucontrol, no symbol name is printed. I just get
the line I pasted.

Would you like me to look for any particular symbol in gtkmm? or anything else
that might help you debug the issue?

Thanks.
Comment 3 Aditya Kadambi 2007-11-14 20:08:32 EST
I ran into other issues with GNOME. I was asked to force reinstall GNOME
packages as the md5sum of the installed packages was not what rpm was expecting.
Fixed this issue.

This is resolved. Thanks for your help

Note You need to log in before you can comment on or make changes to this bug.